Loading...
Searching...
No Matches
BSplineGeometry Class Reference
Inheritance diagram for BSplineGeometry:

## Public Member Functions

| BSplineGeometry (bool flat)
Public Member Functions inherited from CurveGeometry
| CurveGeometry (bool flat)
void | accept (Visitor &visitor) override
void | render (const Camera &camera) override
| Render the cylinder geometry.
void | addPoint (const Vector3f &pos, const Vector3ub &color, float radius, size_t group, size_t id)
const std::vector< Line * > & | lines () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual void | clear ()
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Protected Member Functions

Vector3f | computeCurvePoint (float t, const std::list< Point * > &points) const override
Protected Member Functions inherited from CurveGeometry
virtual void | update (int index)
virtual std::vector< ColorNormalVertex > | computeCirclePoints (const Eigen::Affine3f &a, const Eigen::Affine3f &b, bool flat) const
virtual float | computeScale (size_t index, float t, float scale) const
void | processShaderError (bool error)
Core::Array< Identifier > | areaHits (const Frustrum &f) const override
Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.

## Additional Inherited Members

Static Public Attributes inherited from CurveGeometry
static const size_t | SKIPPED
Protected Attributes inherited from CurveGeometry
std::vector< Line * > | m_lines
std::map< size_t, size_t > | m_indexMap
ShaderInfo | m_shaderInfo
bool | m_dirty
bool | m_canBeFlat
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Member Function Documentation

## computeCurvePoint()

Vector3f computeCurvePoint | ( | float | t,
|  | const std::list< Point * > & | points ) const

override protected virtual

Implements CurveGeometry.

The documentation for this class was generated from the following file:

- bsplinegeometry.h